From f50f0425592a8496d6d25b4936caadfe64523c91 Mon Sep 17 00:00:00 2001
From: Phil Elwell <phil@raspberrypi.org>
Date: Fri, 24 Jan 2020 09:02:37 +0000
Subject: [PATCH] overlays: Use preferred compatible strings

Make sure all overlays have correct compatible strings before enabling
the automated checking.

Signed-off-by: Phil Elwell <phil@raspberrypi.org>
---
 arch/arm/boot/dts/overlays/hifiberry-dacplusadcpro-overlay.dts | 2 +-
 arch/arm/boot/dts/overlays/iqaudio-codec-overlay.dts           | 2 +-
 arch/arm/boot/dts/overlays/pwm-2chan-overlay.dts               | 2 ++
 arch/arm/boot/dts/overlays/pwm-overlay.dts                     | 2 ++
 arch/arm/boot/dts/overlays/smi-dev-overlay.dts                 | 2 ++
 5 files changed, 8 insertions(+), 2 deletions(-)

--- a/arch/arm/boot/dts/overlays/hifiberry-dacplusadcpro-overlay.dts
+++ b/arch/arm/boot/dts/overlays/hifiberry-dacplusadcpro-overlay.dts
@@ -3,7 +3,7 @@
 /plugin/;
 
 / {
-	compatible = "brcm,bcm2708";
+	compatible = "brcm,bcm2835";
 
 	fragment@0 {
 		target-path = "/clocks";
--- a/arch/arm/boot/dts/overlays/iqaudio-codec-overlay.dts
+++ b/arch/arm/boot/dts/overlays/iqaudio-codec-overlay.dts
@@ -3,7 +3,7 @@
 /plugin/;
 
 / {
-	compatible = "brcm,bcm2708";
+	compatible = "brcm,bcm2835";
 
 	fragment@0 {
 		target = <&i2s>;
--- a/arch/arm/boot/dts/overlays/pwm-2chan-overlay.dts
+++ b/arch/arm/boot/dts/overlays/pwm-2chan-overlay.dts
@@ -17,6 +17,8 @@ N.B.:
 */
 
 / {
+	compatible = "brcm,bcm2835";
+
 	fragment@0 {
 		target = <&gpio>;
 		__overlay__ {
--- a/arch/arm/boot/dts/overlays/pwm-overlay.dts
+++ b/arch/arm/boot/dts/overlays/pwm-overlay.dts
@@ -15,6 +15,8 @@ N.B.:
 */
 
 / {
+	compatible = "brcm,bcm2835";
+
 	fragment@0 {
 		target = <&gpio>;
 		__overlay__ {
--- a/arch/arm/boot/dts/overlays/smi-dev-overlay.dts
+++ b/arch/arm/boot/dts/overlays/smi-dev-overlay.dts
@@ -5,6 +5,8 @@
 /plugin/;
 
 /{
+	compatible = "brcm,bcm2835";
+
 	fragment@0 {
 		target = <&soc>;
 		__overlay__ {
